Bug 200858 - fixfiles passes invalid '-q' flag to restorecon
fixfiles passes invalid '-q' flag to restorecon
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: policycoreutils (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-31 19:22 EDT by Wart
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-12 07:13:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wart 2006-07-31 19:22:31 EDT
Description of problem:
When running 'fixfiles -R <packagename>' in an not-yet-published package that
I'm working on for Fedora Extras, I noticed that it now generates an error:

# /sbin/fixfiles -R cyphesis restore
/sbin/restorecon: invalid option -- q
usage:  /sbin/restorecon [-FnrRv] [-e excludedir ] [-o filename ] [-f filename |
pathname... ]


Version-Release number of selected component (if applicable):
policycoreutils-1.30.17-5

How reproducible:
Always

Steps to Reproduce:
1. Run 'fixfiles -R ntp restore'.  Use any package you want for testing.
2. Look at the output of the command
  
Actual results:
Nothing is printed and files contexts are reset.

Expected results:
An error message is printed and file contexts are not changed:
# fixfiles -R ntp restore
/sbin/restorecon: invalid option -- q
usage:  /sbin/restorecon [-FnrRv] [-e excludedir ] [-o filename ] [-f filename |
pathname... ]


Additional info:

The extra '-q' seems to come from line 237 of /sbin/fixfiles:
237:     restore) restore -p -q ;;
Comment 1 Wart 2006-08-11 17:32:40 EDT
I noticed that this was fixed in policycoreutils-1.30.25-1.

Note You need to log in before you can comment on or make changes to this bug.